Bug 74429 - fails to install Red Hat Linux 7.0
fails to install Red Hat Linux 7.0
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-24 02:36 EDT by Sean
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-24 03:11:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug report from anaconda installer (938 bytes, text/plain)
2002-09-24 02:38 EDT, Sean
no flags Details

  None (edit)
Description Sean 2002-09-24 02:36:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Win 9x 4.90)

Description of problem:
Installation either freezes at various points (while installing packages) or 
produces an error report and asks for it to be submitted to bugzilla.  
Installing Red Hat Linux 7, using boot.img disk to start system.  Software came 
on CD with Book:
"The Complete Reference Linux Fourth Edition" - Richard Petersen

AMD K6 processor
Gigabyte 586T2 logic board
64MB RAM
2 x HDDs  (C: DOS/Windows,  
E: I partioned as 16MB /boot; 38GB for /, 125MB <Swap>


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot from boot.img FDD
2. press ENTER at the boot: prompt
3. partion HDDs and start install (I've tried selecting all the packages or 
just the first)
	

Actual Results:  It will either freeze at random points or get about 90% of the 
way through then generate a bug report

Expected Results:  It should have installed

Additional info:

This is a copy of the bug report generated pasted below:

FileName: ANACDUMP

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, 
in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1543, in 
doInstall
    self.instCallback, p)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1298, in 
instCallback
    self.rpmFD = os.open(fn, os.O_RDONLY)
OSError: [Errno 2] No such file or directory: '/mnt/source/RedHat/RPMS/XFree86-
75dpi-fonts-4.0.1-1.i386.rpm'

Local variables in innermost frame:
fn: /mnt/source/RedHat/RPMS/XFree86-75dpi-fonts-4.0.1-1.i386.rpm
total: 0
self: <todo.ToDo instance at 842eec8>
h: <header object at 8bbb3c0>
amount: 0
intf: <progress_gui.InstallProgressWindow instance at 84623b0>
what: 2

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdb'
sS'progressWindow'
p9

<failed>
Comment 1 Sean 2002-09-24 02:38:46 EDT
Created attachment 76964 [details]
bug report from anaconda installer
Comment 2 Sean 2002-09-24 03:11:17 EDT
Sorry guys I've just now managed to find the answer to this problem.  Ref: bug 
18031.  I've got a bad CD.  The Traceback matches word for word.

P.S - funny how you can spend hours on the web looking for the problem, not 
find it, file a bug report then find the answer 30 mins later.  Hey I'm a total 
novice at this.

I've also located http://www.redhat.com/download/howto_download.html so I'm 
going to try making my own disks and go from there.

Cheers
Sean
Comment 3 Michael Fulbright 2002-09-27 15:41:21 EDT
Good luck!

Note You need to log in before you can comment on or make changes to this bug.